Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.util
Class WSDLUtilities

    java.lang.Object
      org.jboss.webservice.util.WSDLUtilities

public final class WSDLUtilities
extends Object

A utility class for common wsdl operations.

Since:
  15-May-2004
Author:
  Thomas.Diesler@jboss.org

Field Summary
`static String` | `WSDL_NAMESPACE_URI`
`static String` | `XSD_NAMESPACE_URI`

Method Summary
`static void` | `endorseServiceEndpointInterface(javax.wsdl.Definition wsdlDefinition, Class seiClass, org.jboss.webservice.metadata.jaxrpcmapping.JavaWsdlMapping jaxrpcMapping)` Validate that the operations in the given SEI correspond to the wsdl operations
`static String[]` | `getServiceLocations(javax.wsdl.Definition wsdlDefinition)` Get the list of available service locations
`static Document` | `getWSDLDocument(javax.wsdl.Definition wsdlDefinition)` Get the Document for a given wsdl definition

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSDL_NAMESPACE_URI

    public static final String WSDL_NAMESPACE_URI

### XSD_NAMESPACE_URI

    public static final String XSD_NAMESPACE_URI

Method Detail

### getWSDLDocument

    public static Document getWSDLDocument(javax.wsdl.Definition wsdlDefinition)

  Get the Document for a given wsdl definition

### endorseServiceEndpointInterface

    public static void endorseServiceEndpointInterface(javax.wsdl.Definition wsdlDefinition,
                                                       Class seiClass,
                                                       org.jboss.webservice.metadata.jaxrpcmapping.JavaWsdlMapping jaxrpcMapping)
                                                throws javax.xml.rpc.ServiceException

  Validate that the operations in the given SEI correspond to the wsdl operations

  Throws:
    `javax.xml.rpc.ServiceException`

### getServiceLocations

    public static String[] getServiceLocations(javax.wsdl.Definition wsdlDefinition)

  Get the list of available service locations

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.